<?php

$_POST["porta"] = str_replace("'='","",$_POST["porta"]);
$_POST["senha"] = str_replace("'='","",$_POST["senha"]);

if($_POST["porta"] == '' || $_POST["senha"] == '') {

$_SESSION["status_login"] = '<div class="alert alert-danger" role="alert">Porta ou senha inválidos, tente novamente</div>';

unset($_SESSION["porta_logada"]);
header("Location: /login");
exit;
}

// Valida se serviço est ativo ou bloqueado
$valida_status_stm = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM streamings WHERE porta = '".$_POST["porta"]."'"));

if($valida_status_stm["status"] != 1) {
$_SESSION["status_login"] = '<div class="alert alert-danger" role="alert">Serviço bloqueado! Contate nosso atendimento.</div>';

unset($_SESSION["porta_logada"]);
header("Location: /login");
exit;
}

$valida_usuario = mysqli_num_rows(mysqli_query($conexao,"SELECT * FROM streamings WHERE porta = '".$_POST["porta"]."' AND senha = '".$_POST["senha"]."'"));

if($valida_usuario == 1) {

$_SESSION["porta_logada"] = $_POST["porta"];

$dados_stm = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM streamings WHERE porta = '".$_SESSION["porta_logada"]."'"));

if(file_exists("inc/lang-".$dados_stm["idioma_painel"].".php")) {
require_once("inc/lang-".$dados_stm["idioma_painel"].".php");
} else {
require_once("inc/lang-pt-br.php");
}

// Insere a ação executada no registro de logs.
logar_acao_streaming($conexao,"".$dados_stm["codigo"]."","".$lang['lang_info_log_login_painel']."");

// Loga ultimo acesso da revenda
@mysqli_query($conexao,"Update streamings set ultimo_acesso_data = NOW(), ultimo_acesso_ip = '".$_SERVER['REMOTE_ADDR']."' WHERE porta = '".$_SESSION["porta_logada"]."'");

header("Location: /dashboard");
exit;

} else { // Dados inválidos

$_SESSION["status_login"] = '<div class="alert alert-danger" role="alert">Porta ou senha inválidos, tente novamente</div>';

unset($_SESSION["porta_logada"]);
header("Location: /login");
exit;
}
?>